import request from '@/utils/request'

// device list api
export function fetchDeviceList(query) {
  return request({
    url: '/api/counter/device/',
    method: 'get',
    params: query
  })
}

// device log list api
export function fetchDeviceLogs(query) {
  request.defaults.timeout = 5000 * 6
  return request({
    url: '/api/counter/logs/',
    method: 'get',
    params: query
  })
}

// reset timeout
request.defaults.timeout = 5000

// device logs history api
export function fetchDeviceLogsHistory(query) {
  return request({
    url: '/api/counter/device/daily/',
    method: 'get',
    params: query
  })
}

// device info statistic api
export function fetchDeviceInfoStatistic(query) {
  return request({
    url: '/api/counter/device/status/',
    method: 'get',
    params: query
  })
}

// device log statistic api
export function fetchDeviceLogStatistic(query) {
  return request({
    url: '/api/counter/latest/statistic/',
    method: 'get',
    params: query
  })
}

// log statistic history api
export function fetchLogStatisticHistory(query) {
  return request({
    url: '/api/counter/latest/daily/',
    method: 'get',
    params: query
  })
}

// device temp log statistic api

export function fetchDeviceTempLog(query) {
  return request({
    url: '/api/mosq/temp/',
    method: 'get',
    params: query
  })
}
